<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Post;

use Inti\Provider\Query\QueryPaginateTrait;
use Inti\Provider\Query\QuerySearchTrait;
use Inti\Provider\Query\QuerySlugTrait;
use Inti\Wp\Provider\Metadata\AbstractMetadataProvider;

/**
 * Class AbstractPostProvider
 *
 * @package Inti\Wp\Provider\Post
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
abstract class AbstractPostProvider extends AbstractMetadataProvider implements PostProviderInterface
{
    use QueryPaginateTrait;
    use QuerySearchTrait;
    use QuerySlugTrait;

    protected array $field_map = [
        'id' => 'ID',
    ];

    public function taxonomy(int $term_id, string $taxonomy): PostProviderInterface
    {
        $this->_query['taxonomy'][$taxonomy] = $term_id;
        return $this;
    }
}
