<?php
/** @noinspection PhpUnusedPrivateFieldInspection */
declare(strict_types=1);

namespace IntiTest\Wp\Provider;

use Inti\Test\TestCase\WordPressTestCase;
use Inti\Wp\Provider\ConfigProvider;
use Inti\Wp\Provider\Service\IdManager;

/**
 * Class AbstractTestCase
 *
 * @package IntiTest\Wp\Provider
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
abstract class AbstractTestCase extends WordPressTestCase
{
    private array $providers = [
        \Inti\Db\ConfigProvider::class,
        \Inti\Provider\ConfigProvider::class,
        \Inti\Wp\Plugin\ConfigProvider::class,
        ConfigProvider::class,
    ];

    private array $config = [
        'db_connections' => [
            'default' => [
                'host' => 'localhost',
                'user' => 'root',
                'password' => 'password',
                'dbname' => 'inti_wp_test',
            ],
        ],
    ];

    protected array $wp_options = [
        IdManager::OPTION_NAME => [],
    ];

    protected function setUp(): void
    {
        parent::setUp();
        $this->runApplication();
    }
}
